summaryrefslogtreecommitdiffstats
path: root/Doc/tools/update-docs.sh
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>2002-04-01 20:15:05 (GMT)
committerFred Drake <fdrake@acm.org>2002-04-01 20:15:05 (GMT)
commitf54519d9e4fe18986264d10014b70653a01892f7 (patch)
tree1ed457463ff951fce9f386b834a9a977b0ff2616 /Doc/tools/update-docs.sh
parent6169f09d64caf4c36936bc8caeaeb5448f72afac (diff)
downloadcpython-f54519d9e4fe18986264d10014b70653a01892f7.zip
cpython-f54519d9e4fe18986264d10014b70653a01892f7.tar.gz
cpython-f54519d9e4fe18986264d10014b70653a01892f7.tar.bz2
Update to push the docs to python.org instead of python.sf.net.
Diffstat (limited to 'Doc/tools/update-docs.sh')
-rwxr-xr-xDoc/tools/update-docs.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/Doc/tools/update-docs.sh b/Doc/tools/update-docs.sh
index 5f4b03d..c68e875 100755
--- a/Doc/tools/update-docs.sh
+++ b/Doc/tools/update-docs.sh
@@ -1,9 +1,9 @@
#! /bin/sh
# Script which installs a development snapshot of the documentation
-# into the "Python @ SourceForge" website.
+# into the development website.
#
-# The push-docs.sh script pushes this to the SourceForge when needed
+# The push-docs.sh script pushes this to the server when needed
# and removes it when done.
if [ -z "$HOME" ] ; then
@@ -16,15 +16,15 @@ UPDATES="$HOME/tmp/$2"
TMPDIR="$$-docs"
-cd /home/groups/p/py/python/htdocs || exit $?
+cd /ftp/ftp.python.org/pub/www.python.org/dev/doc/ || exit $?
mkdir $TMPDIR || exit $?
cd $TMPDIR || exit $?
(bzip2 -dc "$UPDATES" | tar xf -) || exit $?
cd .. || exit $?
-if [ -d $DOCTYPE-docs ] ; then
- mv $DOCTYPE-docs $DOCTYPE-temp
+if [ -d $DOCTYPE ] ; then
+ mv $DOCTYPE $DOCTYPE-temp
fi
-mv $TMPDIR $DOCTYPE-docs
+mv $TMPDIR $DOCTYPE
rm -rf $DOCTYPE-temp || exit $?
rm "$UPDATES" || exit $?